import type Trigger from "../../Types/Trigger";
import type HasValueCallbackData from "../Interfaces/HasValueCallbackData";
import Callback from "./Callback";
/**
 * Callback class.
 *
 * @since 1.0.0
 */
export default class ValueCallback extends Callback {
    /**
     * Execute on change or on form init.
     */
    readonly trigger: Trigger;
    /**
     * Constructor.
     *
     * @param method Callback method.
     * @param args Callback arguments.
     *
     * @since 1.0.0
     */
    constructor(callback: HasValueCallbackData, formValues: {});
}
