import type HasActionAlertData from "./HasActionNoticeData";
import type HasActionModalData from "./HasActionModalData";
import type HasConditionData from "./HasConditionData";
import type Trigger from "../../Types/Trigger";
/**
 * Trigger data interface.
 *
 * @since 1.0.0
 */
export default interface HasEventData {
    readonly trigger: Trigger;
    readonly conditions: HasConditionData[];
    readonly actions: HasActionAlertData[] | HasActionModalData[];
}
